import{s as Y,o as J,n as K}from"../chunks/scheduler.a2b4ca8e.js";import{S as Q,i as W,g as l,s,r as L,A as Z,h as c,f as i,c as o,j as G,u as _,x as q,k as U,y as tt,a,v as M,d as b,t as E,w as v}from"../chunks/index.d2f673cc.js";import{T as et}from"../chunks/Tip.a902c250.js";import{H as F}from"../chunks/Heading.675d4c1e.js";function it(B){let n,f='More details for checking supported tasks <a href="https://huggingface.co/docs/optimum-neuron/guides/export_model#selecting-a-task" rel="nofollow">here</a>.';return{c(){n=l("p"),n.innerHTML=f},l(r){n=c(r,"P",{"data-svelte-h":!0}),q(n)!=="svelte-hfkaug"&&(n.innerHTML=f)},m(r,k){a(r,n,k)},p:K,d(r){r&&i(n)}}}function at(B){let n,f,r,k,m,R,u,C,p,V="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>ALBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>BERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>BLOOM</td> <td>text-generation</td></tr> <tr><td>Beit</td> <td>feature-extraction, image-classification</td></tr> <tr><td>CamemBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ConvBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ConvNext</td> <td>feature-extraction, image-classification</td></tr> <tr><td>ConvNextV2</td> <td>feature-extraction, image-classification</td></tr> <tr><td>CvT</td> <td>feature-extraction, image-classification</td></tr> <tr><td>DeBERTa (INF2 only)</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DeBERTa-v2 (INF2 only)</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Deit</td> <td>feature-extraction, image-classification</td></tr> <tr><td>DistilBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DonutSwin</td> <td>feature-extraction</td></tr> <tr><td>Dpt</td> <td>feature-extraction</td></tr> <tr><td>ELECTRA</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ESM</td> <td>feature-extraction, fill-mask, text-classification, token-classification</td></tr> <tr><td>FlauBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>GPT2</td> <td>text-generation</td></tr> <tr><td>Levit</td> <td>feature-extraction, image-classification</td></tr> <tr><td>Llama, Llama 2, Llama 3</td> <td>text-generation</td></tr> <tr><td>Mistral</td> <td>text-generation</td></tr> <tr><td>Mixtral</td> <td>text-generation</td></tr> <tr><td>MobileBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>MobileNetV2</td> <td>feature-extraction, image-classification, semantic-segmentation</td></tr> <tr><td>MobileViT</td> <td>feature-extraction, image-classification, semantic-segmentation</td></tr> <tr><td>MPNet</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>OPT</td> <td>text-generation</td></tr> <tr><td>Phi</td> <td>feature-extraction, text-classification, token-classification</td></tr> <tr><td>RoBERTa</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>RoFormer</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Swin</td> <td>feature-extraction, image-classification</td></tr> <tr><td>T5</td> <td>text2text-generation</td></tr> <tr><td>XLM</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ViT</td> <td>feature-extraction, image-classification</td></tr> <tr><td>XLM-RoBERTa</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Yolos</td> <td>feature-extraction, object-detection</td></tr></tbody>",S,x,y,g,z="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>Stable Diffusion</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>Stable Diffusion XL Base</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>Stable Diffusion XL Refiner</td> <td>image-to-image, inpaint</td></tr> <tr><td>SDXL Turbo</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>LCM</td> <td>text-to-image</td></tr></tbody>",P,h,D,$,I="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>Transformer</td> <td>feature-extraction, sentence-similarity</td></tr> <tr><td>CLIP</td> <td>feature-extraction, zero-shot-image-classification</td></tr></tbody>",A,d,H,T,O="More architectures coming soon, stay tuned! 🚀",N,w,X;return m=new F({props:{title:"Supported architectures",local:"supported-architectures",headingTag:"h1"}}),u=new F({props:{title:"Transformers",local:"transformers",headingTag:"h2"}}),x=new F({props:{title:"Diffusers",local:"diffusers",headingTag:"h2"}}),h=new F({props:{title:"Sentence Transformers",local:"sentence-transformers",headingTag:"h2"}}),d=new et({props:{$$slots:{default:[it]},$$scope:{ctx:B}}}),{c(){n=l("meta"),f=s(),r=l("p"),k=s(),L(m.$$.fragment),R=s(),L(u.$$.fragment),C=s(),p=l("table"),p.innerHTML=V,S=s(),L(x.$$.fragment),y=s(),g=l("table"),g.innerHTML=z,P=s(),L(h.$$.fragment),D=s(),$=l("table"),$.innerHTML=I,A=s(),L(d.$$.fragment),H=s(),T=l("p"),T.textContent=O,N=s(),w=l("p"),this.h()},l(t){const e=Z("svelte-u9bgzb",document.head);n=c(e,"META",{name:!0,content:!0}),e.forEach(i),f=o(t),r=c(t,"P",{}),G(r).forEach(i),k=o(t),_(m.$$.fragment,t),R=o(t),_(u.$$.fragment,t),C=o(t),p=c(t,"TABLE",{"data-svelte-h":!0}),q(p)!=="svelte-1lo39mw"&&(p.innerHTML=V),S=o(t),_(x.$$.fragment,t),y=o(t),g=c(t,"TABLE",{"data-svelte-h":!0}),q(g)!=="svelte-160qin1"&&(g.innerHTML=z),P=o(t),_(h.$$.fragment,t),D=o(t),$=c(t,"TABLE",{"data-svelte-h":!0}),q($)!=="svelte-zeg51l"&&($.innerHTML=I),A=o(t),_(d.$$.fragment,t),H=o(t),T=c(t,"P",{"data-svelte-h":!0}),q(T)!=="svelte-dm8pu8"&&(T.textContent=O),N=o(t),w=c(t,"P",{}),G(w).forEach(i),this.h()},h(){U(n,"name","hf:doc:metadata"),U(n,"content",nt)},m(t,e){tt(document.head,n),a(t,f,e),a(t,r,e),a(t,k,e),M(m,t,e),a(t,R,e),M(u,t,e),a(t,C,e),a(t,p,e),a(t,S,e),M(x,t,e),a(t,y,e),a(t,g,e),a(t,P,e),M(h,t,e),a(t,D,e),a(t,$,e),a(t,A,e),M(d,t,e),a(t,H,e),a(t,T,e),a(t,N,e),a(t,w,e),X=!0},p(t,[e]){const j={};e&2&&(j.$$scope={dirty:e,ctx:t}),d.$set(j)},i(t){X||(b(m.$$.fragment,t),b(u.$$.fragment,t),b(x.$$.fragment,t),b(h.$$.fragment,t),b(d.$$.fragment,t),X=!0)},o(t){E(m.$$.fragment,t),E(u.$$.fragment,t),E(x.$$.fragment,t),E(h.$$.fragment,t),E(d.$$.fragment,t),X=!1},d(t){t&&(i(f),i(r),i(k),i(R),i(C),i(p),i(S),i(y),i(g),i(P),i(D),i($),i(A),i(H),i(T),i(N),i(w)),i(n),v(m,t),v(u,t),v(x,t),v(h,t),v(d,t)}}}const nt='{"title":"Supported architectures","local":"supported-architectures","sections":[{"title":"Transformers","local":"transformers","sections":[],"depth":2},{"title":"Diffusers","local":"diffusers","sections":[],"depth":2},{"title":"Sentence Transformers","local":"sentence-transformers","sections":[],"depth":2}],"depth":1}';function rt(B){return J(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ct extends Q{constructor(n){super(),W(this,n,rt,at,Y,{})}}export{ct as component};
